Subject: [bug#27428] [PATCH] gnu: gsl: Update to 2.4.

From: Efraim Flashner <[email-masked]>
Date: Tue, 20 Jun 2017 22:55:38 +0300

On Wed, Jun 21, 2017 at 01:00:31AM +0530, Arun Isaac wrote:
> 
> I am CCing Efraim.
> 
> Marius Bakke writes:
> 
> > Arun Isaac <[email-masked]> writes:
> >
> >> * gnu/packages/maths.scm (gsl): Update to 2.4.
> >
> > This should also mention that #:parallel-tests? is now gone.
> >
> > [...]
> >
> >> I don't know if this section is still valid. I don't have machines
> >> with these architectures. How do I check?
> >
> > Digging around in the ChangeLog might give some hints. If nothing is
> > mentioned, I would just assume the status quo.
> >
> > For aarch64 in particular, I suppose you could ping Efraim on IRC.
> 

From digging around gsl's bug reports it looked like the devs there
don't have access to some of those machines either, or access to enough
of them to make sure the code works on different hardware.

Unfortunately it still fails on my machine, with the first failure still
on the linalg directory. Its on my things to do list to try to fix some
of the tests but I haven't gotten around to it yet.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted